/* R[h͂rihr sR[h͂bqke */
/* $Id: FrameBuffer.h 480 2010-01-15 07:02:44Z umezawa $ */

#pragma once

class CFrameBuffer
{
private:
	static const int MAX_PLANE = 4;

private:
	int m_nPlanes;
	BYTE *m_pAllocatedAddr[MAX_PLANE];
	BYTE *m_pBufferAddr[MAX_PLANE];

public:
	CFrameBuffer(void);
	~CFrameBuffer(void);

public:
	void AddPlane(DWORD dwSize, DWORD dwMarginSize);

public:
	inline BYTE *GetPlane(int n)
	{
		return m_pBufferAddr[n];
	}

	inline BYTE *GetBuffer(void)
	{
		return GetPlane(0);
	}
};
